Possible Android emulator fix (HAXM)

+9 Sašo Plut · December 19, 2014
I am noticing a lot of problems with people running the Android emulator. It says something like x86 emulation not supported, install HAXM etc.. the problem could be solved by creating a new device that uses the ARM emulation not x86.
I remember having similar problems even before i found Android studio and the "fix" (workaround) was using the device that used arm instead of x86.

So make another device using any of these  and send me feedback (it has to say ARMEABI-V7A) then use the new device for your emulation!/images/forum/upload/2014-12-19/5d57eda54d7c0e40c324c497fa2955b0.jpg

Post a Reply

Replies

- page 1
Oldest  Newest  Rating
+1 Sotires Ell · December 21, 2014
worked, thanks a lot man :D:D:D
0 Robert Summers · December 20, 2014
what about API 20
0 Rehman . · December 20, 2014
API 20 is for wearable , you may work with that but if you read the documentation of developers.android they say API's with revision level more than 2 works more stable in AVDs, thats why i said use API level19
0 Skhulile Mdaka · December 21, 2014
Sadly it does not work on my PC, when I try to create the virtual device, it just ends up showing "Repair device" while it never even showed any error. Please help guys
0 Aadesh Rana · January 10, 2015
The emulator ran but i got the following error messages
../../sdk/emulator/opengl//host/libs/Translator/GLES_V2//GLESv2Imp.cpp:glDetachShader:559 error 0x501
../../sdk/emulator/opengl//host/libs/Translator/GLES_V2//GLESv2Imp.cpp:glShaderSource:1760 error 0x501
../../sdk/emulator/opengl//host/libs/Translator/GLES_V2//GLESv2Imp.cpp:glCompileShader:355 error 0x501
../../sdk/emulator/opengl//host/libs/Translator/GLES_V2//GLESv2Imp.cpp:glGetShaderiv:1273 error 0x501
../../sdk/emulator/opengl//host/libs/Translator/GLES_V2//GLESv2Imp.cpp:glGetShaderInfoLog:1296 error 0x501
Error accepting connection, aborting

anyone know what the problem is?

thanks
0 Shaun Donnachie · January 10, 2015
Every time i try to run avd it gives me this error

 Cannot launch AVD in emulator.
Output:
emulator: ERROR: x86 emulation currently requires hardware acceleration!
Please ensure Intel HAXM is properly installed and usable.
CPU acceleration status: HAX kernel module is not installed!

I have installed all the relevent sdk still dont run 
0 Rehman . · January 10, 2015
@Shaun Donnachie : When you crea the AVD choose ARM in cpu slot instead of x86 it will sort out your problem. hope it will help 
0 Robert Summers · December 19, 2014
I have tried this and still nothing is working 

/images/forum/upload/2014-12-19/996106db280d69eb0ce7d817e885068c.png
0 Robert Summers · December 19, 2014
I have tried starting a new project and have this an error

/images/forum/upload/2014-12-19/dfa5b9f87d68bf7d814944cef8869de9.png
0 Sašo Plut · December 20, 2014
Robert: Your problem is different than the one posted here... and you seem to have more than just one.. i am working on your problem in your post..

As for everyone else you need to run that device that you created.. the old one will not work lol.. also going to bed.. tell me your progress!
  • 1
  • 2

Java / Android Development

129,802 followers
About

Very popular language used to create desktop applications, website applets, and Android apps.

Links
Moderators
Bucky Roberts Administrator